# This script will compile the binary and launch a job
# that will report the FLOPs of the kernel defined in
# src/kernel.f90 and make a plot.

function checkbinary(){
   if [ ! -f bin/elemental.x ];then
      echo 1
   else
      echo 0
   fi
   }


# (Re)Compiling-----------------------------------------
echo -n "Compiling..."
utils/compile.sh &> /dev/null
if [ $(checkbinary) -eq 1 ];then
   echo "It did not compile well. Recompiling output..."
   echo
   utils/compile.sh 
   exit 1
else 
   echo -e "\033[1KCompiled!"
fi
#-------------------------------------------------------


# Launching test ---------------------------------------
echo "Launching experiment to queue"
cd utils
bsub < extrae.job
#-------------------------------------------------------
